HttpRequest
HttpRequest::addHeaders
HttpRequest
PHP Manual

# HttpRequest::addCookies

Add cookies

### Description

public bool HttpRequest::addCookies ( array `$cookies` )

Add custom cookies.

> Note: The request option encodecookies controls whether the cookie values should be urlencoded.

> Note: Affects any request method.

### Parameters

`cookies`

  an associative array containing any cookie name/value pairs to add

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 A HttpRequest::addCookies example

`<?php
$r = new HttpRequest;
$r->addCookies(
array(
"cookie_name" => "cookie value",
)
);
?>`

### See Also

- HttpRequest::setCookies